Snapvisor Docs

List an account's projects

List the projects of an account that are visible to the authenticated user, most recently active first. Results are paginated. The token must be scoped to the account.

GET
/accounts/{accountSlug}/projects

List the projects of an account that are visible to the authenticated user, most recently active first. Results are paginated. The token must be scoped to the account.

Authorization

AuthorizationBearer <token>

Authenticate as a user with a personal access token.

Send it as a bearer token in the Authorization header:

Authorization: Bearer <personal-access-token>

Personal access tokens act on behalf of the user that created them and are required by endpoints that perform user actions, such as reviewing builds and posting comments.

In: header

Path Parameters

accountSlug*string

Slug of the account to list projects for.

Length1 <= length

Query Parameters

perPage?string

Number of items per page (max 100)

page?string

Page number

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/accounts/string/projects"
{  "pageInfo": {    "total": 0,    "page": 0,    "perPage": 0  },  "results": [    {      "id": "string",      "account": {        "id": "string",        "slug": "string"      },      "name": "string",      "defaultBaseBranch": "string",      "hasRemoteContentAccess": true    }  ]}